Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class AttributeChangeNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              javax.management.AttributeChangeNotification

All Implemented Interfaces:
  Serializable

public class AttributeChangeNotification
extends Notification

This is the mandated object for sending notifications of attribute changes. The MBean may also send other types of notifications. The MBean must implement the `NotificationBroadcaster` interface to send this notification.

The following information is provided in addition to the that provided by `Notification`. The attribute's `name`, `type`, `old value` and `new value`.

The notification type is "jmx.attribute.change", defined in the static string `ATTRIBUTE_CHANGE`.

Version:
  $Revision: 1.5 $

  Revisions:

  20020710 Adrian Brock:

  - Serialization
Author:
  Adrian Brock.
See Also:
  `AttributeChangeNotificationFilter`, Serialized Form

Field Summary
`static String` | `ATTRIBUTE_CHANGE` The AttributeChangeNotification notification type.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AttributeChangeNotification(Object source, long sequenceNumber, long timeStamp, String msg, String attributeName, String attributeType, Object oldValue, Object newValue)` Contruct a new attribute change notification.

Method Summary
`String` | `getAttributeName()` Retrieves the name of the attribute.
`String` | `getAttributeType()` Retrieves the type of the attribute.
`Object` | `getNewValue()` Retrieves the new value of the attribute.
`Object` | `getOldValue()` Retrieves the old value of the attribute.
`String` | `toString()`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTRIBUTE_CHANGE

    public static final String ATTRIBUTE_CHANGE

  The AttributeChangeNotification notification type. It is "jmx.attribute.change".

  See Also:
    Constant Field Values

Constructor Detail

### AttributeChangeNotification

    public AttributeChangeNotification(Object source,
                                       long sequenceNumber,
                                       long timeStamp,
                                       String msg,
                                       String attributeName,
                                       String attributeType,
                                       Object oldValue,
                                       Object newValue)

  Contruct a new attribute change notification.

Parameters:
  `source` - the source of the notification.
  `sequenceNumber` - the instance of this notification.
  `timeStamp` - the time the notification was generated.
  `msg` - a human readable form of the change.
  `attributeName` - the name of the attribute.
  `attributeType` - the type of the attribute.
  `oldValue` - the old value of the attribute.
  `newValue` - the new value of the attribute.

Method Detail

### getAttributeName

    public String getAttributeName()

  Retrieves the name of the attribute.

  Returns:
    the name of the attribute.

### getAttributeType

    public String getAttributeType()

  Retrieves the type of the attribute.

  Returns:
    the type of the attribute.

### getOldValue

    public Object getOldValue()

  Retrieves the old value of the attribute.

  Returns:
    the old value of the attribute.

### getNewValue

    public Object getNewValue()

  Retrieves the new value of the attribute.

  Returns:
    the new value of the attribute.

### toString

    public String toString()

  Overrides:
    `toString` in class `Notification`
  Returns:
    human readable string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.